Create a schema

Deprecated
View as Markdown
Creates a schema for an API.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

apiIdstringRequired
The API's ID.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Request

The request body to create an API schema.
typeenumRequired
The schema's type.
fileslist of objectsRequired
The list of files that are part of the schema.

Response

Created
idstringOptional
The schema's ID.
typeenumOptional
The schema's type.
fileslist of objectsOptional
A list of the schema's files.
createdAtdatetimeOptional
The date and time at which the schema was created.
createdBystringOptional
The user ID of the user that created the schema.
updatedAtdatetimeOptional
The date and time at which the schema was last updated.
updatedBystringOptional
The user ID of the user that updated the schema.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error